%global modname sampledata

Name:           python-%{modname}
Version:        0.3.7
Release:        1%{?dist}
Summary:        Sample Data generator for Python

License:        BSD
URL:            https://github.com/jespino/sampledata
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

# https://github.com/jespino/sampledata/pull/7
Patch0001:      0001-setup.py-exclude-tests-from-packages.patch

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-versiontools
BuildRequires:  python2-nose
BuildRequires:  python2-six
BuildRequires:  python2-pytz
BuildRequires:  python2-pillow
Requires:       python2-six
Requires:       python2-pytz
Recommends:     python2-pillow

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-versiontools
BuildRequires:  python3-nose
BuildRequires:  python3-six
BuildRequires:  python3-pytz
BuildRequires:  python3-pillow
Requires:       python3-six
Requires:       python3-pytz
Recommends:     python3-pillow

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE
%doc NEWS.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE
%doc NEWS.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Sat Aug 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.7-1
- Initial package
